# Copyright 2021 UBITECH Ltd.
# See LICENSE file for licensing details.
add-zone:
    description: "Creates a zone"
    params:
        zone-name:
            description: "The DNS Zone to be created"
            type: string
            default: ""
delete-zone:
    description: "Deletes a zone, all attached metadata and rrsets"
    params:
        zone-name:
            description: "The DNS Zone to be deleted"
            type: string
            default: ""
add-domain:
    description: "Add a subdomain to an existing zone"
    params:
        zone-name:
            description: "The DNS Zone of the domain to be added"
            type: string
            default: ""
        subdomain:
            description: "The DNS subdomain to be created"
            type: string
            default: ""
        ip:
            description: "The IP of the subdomain"
            type: string
            default: ""
delete-domain:
    description: "Delete a domain from a zone"
    params:
        zone-name:
            description: "The DNS Zone of the domain to be deleted"
            type: string
            default: ""
        subdomain:
            description: "The DNS subdomain to be deleted"
            type: string
            default: ""